Bug 86615 - Formula not updated if it contains reference to formula
Summary: Formula not updated if it contains reference to formula
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-11-23 10:01 UTC by Laurent BP
Modified: 2018-10-29 19:42 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file: modify cell B3; E3 not updated (8.18 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-11-23 10:01 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2014-11-23 10:01:34 UTC
Created attachment 109890 [details]
Test file: modify cell B3; E3 not updated

Description: If a formula contains reference to an other formula, it may be not updated in some case

Steps to reproduce:
1. Enter values in A1:C3
2. Make =SUM(Ax:Cx) in column D
3. In column E, add a formula which uses cell in column D (see attached file)
4. Modify a cell, B3 for instance

Expected behavior:
D3 and E3 should be modified

Actual behavior:
D3 is updated, but not E3

Reproduced with LibO 4.4.0.0.beta1 (not available in Version choice right now)

NOT reproduce with LibO 4.3.4.1
Comment 1 Jean-Baptiste Faure 2014-11-23 10:08:26 UTC
Reproduced with Version: 4.4.0.0.beta1+
Build ID: a61b5cc0993b56fd1aa81e33d26e96a4c24415d7
built at home under Ubuntu 14.10 x86-64

ctrl+shift+F10 forces to recalculate.

Best regards. JBF
Comment 2 Jean-Baptiste Faure 2014-11-23 10:12:06 UTC
(In reply to Jean-Baptiste Faure from comment #1)
> [...]
> ctrl+shift+F10 forces to recalculate.
> 

Sorry, I meant ctrl+shift+F9

Best regards. JBF
Comment 3 A (Andy) 2014-11-23 10:14:39 UTC
Reproducible with LO 4.4.0.0.beta1, but not with 4.3.4.1 (Win 8.1).
Comment 4 Jacques Guilleron 2014-11-23 10:45:23 UTC
Hi all,

Reproduced with:
LO  4.4.0.0.beta1
Build ID: 9af3d21234aa89dac653c0bd76648188cdeb683e
Locale: fr_FR

but not with:
LO 4.4.0.0.alpha1+
Build ID: a8c24b25fd9fb21097a08a22797bf61b59099ea1
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-21_06:33:33

Jacques
Comment 5 Laurent BP 2014-11-23 13:03:22 UTC
NOT reproduced with Version: 4.4.0.0.alpha2+
Build ID: 6143fa5a89d9528fc11fed1e7fe96b9280d411a4
TinderBox: Win-x86@42, Branch:master, Time: 2014-11-10_22:48:21
Comment 6 Matthew Francis 2014-11-24 16:32:40 UTC
Git bisect points to this commit:

commit 5ef856e975d7c0396984d588a43fd1a7c7085c55
Author: Kohei Yoshida <kohei.yoshida@collabora.com>
Date:   Tue Nov 18 21:03:05 2014 -0500

    Use group area listeners during ODS import.
    
    Change-Id: Id01f9021dda7f33255f8206174cd730507ab55ad
Comment 7 Commit Notification 2014-11-25 22:16:33 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=96a4189c568fbf7f63bec13f7a77a114aa7a3ede

fdo#86615: Write test for this.

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-11-25 22:16:36 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d8266cfcd657485e1ea817376eb00c9fb2c8260f

fdo#86615: Track dependent formulas after bulk-broadcasting...

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-11-25 22:21:57 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=62fa469c23624887f6fc3a50e7f5682ed880962f&h=libreoffice-4-4

fdo#86615: Write test for this.

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-11-25 22:22:01 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db91bac2f5273e247eba792ca78d696bdf64b29a&h=libreoffice-4-4

fdo#86615: Track dependent formulas after bulk-broadcasting...

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Jean-Baptiste Faure 2014-11-26 05:28:03 UTC
Thank you very much for the quick fix.
Verified fixed in 
Version: 4.3.5.0.0+
Build ID: 2a2505b6efacf9bd7597817e16a3037e5623be15
and
Version: 4.4.0.0.beta1+
Build ID: 15156e06c9a3a73a375445955265999731800458

built at home under Ubuntu 14.10 x86-64

Best regards. JBF
Comment 12 Laurent BP 2014-12-03 20:22:06 UTC
Verified with Version: 4.5.0.0.alpha0+
Build ID: 975a054cc2eeb04516f1f1ef3c9064b2f3cd9456
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-12-02_22:25:27
Comment 13 vlb 2014-12-04 07:58:06 UTC
See bug 86321 and 86572 didn't solved in 4.4.0 and
Version: 4.5.0.0.alpha0+
Build ID: f20043a0805c3a75eb4024ed59f45291aea93ac0
TinderBox: Win-x86@39, Branch:master, Time: 2014-12-03_01:16:50